## cascading.flow.hadoop
Class HadoopStepStats

    java.lang.Object
      cascading.stats.CascadingStats
          cascading.stats.StepStats
              cascading.flow.hadoop.HadoopStepStats

All Implemented Interfaces:
  Serializable

    public abstract class HadoopStepStats

extends StepStats

Class HadoopStepStats ...

See Also:
  Serialized Form

Nested Class Summary
`static class` `HadoopStepStats.HadoopTaskStats` Class HadoopTaskStats ...

Nested classes/interfaces inherited from class cascading.stats.CascadingStats
`CascadingStats.Status`

Constructor Summary
`protected` `HadoopStepStats(String stepName)`

Method Summary
`void` `captureDetail()` Method captureDetail will recursively capture details about nested systems.
`void` `captureJobStats()`
`Collection` `getChildren()`
`Collection<String>` `getCounterGroups()` Method getCounterGroups returns all the available counter group names.
`Collection<String>` `getCounterGroupsMatching(String regex)` Method getCounterGroupsMatching returns all the available counter group names that match the given regular expression.
`Collection<String>` `getCountersFor(String group)` Method getCountersFor returns all the counter names for the give group name.
`long` `getCounterValue(Enum counter)` Method getCounter returns the current value for the given counter Enum.
`long` `getCounterValue(String group, String counter)` Method getCounter returns the current value for the given group and counter.
`protected abstract JobClient` `getJobClient()`
`String` `getJobID()`
`float` `getMapProgress()` Returns the underlying Map tasks progress.
`int` `getNumMapTasks()`
`int` `getNumReducerTasks()`
`float` `getReduceProgress()` Returns the underlying Reduce tasks progress.
`protected abstract RunningJob` `getRunningJob()`
`ArrayList<HadoopStepStats.HadoopTaskStats>` `getTaskStats()`
`void` `setNumMapTasks(int numMapTasks)`
`void` `setNumReducerTasks(int numReducerTasks)`

Methods inherited from class cascading.stats.StepStats
`toString`

Methods inherited from class cascading.stats.CascadingStats
`getCountersFor, getCurrentDuration, getDuration, getFinishedTime, getID, getName, getStartTime, getStatsString, getStatus, isFailed, isFinished, isPending, isRunning, isSkipped, isStopped, isSuccessful, markFailed, markRunning, markSkipped, markStartTime, markStopped, markSuccessful`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HadoopStepStats

    protected HadoopStepStats(String stepName)

Method Detail

### getTaskStats

    public ArrayList<HadoopStepStats.HadoopTaskStats> getTaskStats()

### getNumMapTasks

    public int getNumMapTasks()

### setNumMapTasks

    public void setNumMapTasks(int numMapTasks)

### getNumReducerTasks

    public int getNumReducerTasks()

### setNumReducerTasks

    public void setNumReducerTasks(int numReducerTasks)

### getJobID

    public String getJobID()

### getJobClient

    protected abstract JobClient getJobClient()

### getRunningJob

    protected abstract RunningJob getRunningJob()

### getCounterGroups

    public Collection<String> getCounterGroups()

  Description copied from class: `CascadingStats`
  Method getCounterGroups returns all the available counter group names.

  Specified by:
    `getCounterGroups` in class `CascadingStats`
  Returns:
    the counterGroups (type Collection<String>) of this CascadingStats object.

### getCounterGroupsMatching

    public Collection<String> getCounterGroupsMatching(String regex)

  Description copied from class: `CascadingStats`
  Method getCounterGroupsMatching returns all the available counter group names that match the given regular expression.

  Specified by:
    `getCounterGroupsMatching` in class `CascadingStats`
  Parameters:
    `regex` - of type String
  Returns:
    Collection<String>

### getCountersFor

    public Collection<String> getCountersFor(String group)

  Description copied from class: `CascadingStats`
  Method getCountersFor returns all the counter names for the give group name.

  Specified by:
    `getCountersFor` in class `CascadingStats`
  Returns:
    Collection<String>

### getCounterValue

    public long getCounterValue(Enum counter)

  Description copied from class: `CascadingStats`
  Method getCounter returns the current value for the given counter Enum.

  Specified by:
    `getCounterValue` in class `CascadingStats`
  Parameters:
    `counter` - of type Enum
  Returns:
    the current counter value

### getCounterValue

    public long getCounterValue(String group,
                                String counter)

  Description copied from class: `CascadingStats`
  Method getCounter returns the current value for the given group and counter.

  Specified by:
    `getCounterValue` in class `CascadingStats`
  Parameters:
    `group` - of type String
    `counter` - of type String
  Returns:
    the current counter value

### getMapProgress

    public float getMapProgress()

  Returns the underlying Map tasks progress.

  This method is experimental.

  Returns:
    float

### getReduceProgress

    public float getReduceProgress()

  Returns the underlying Reduce tasks progress.

  This method is experimental.

  Returns:
    float

### captureJobStats

    public void captureJobStats()

### getChildren

    public Collection getChildren()

  Specified by:
    `getChildren` in class `CascadingStats`

### captureDetail

    public void captureDetail()

  Description copied from class: `CascadingStats`
  Method captureDetail will recursively capture details about nested systems. Use this method to persist statistics about a given Cascade, Flow, or FlowStep.

  Each CascadingStats object must be individually inspected for any system specific details.

  Specified by:
    `captureDetail` in class `CascadingStats`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.